Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRTimezoneJdbcQueryExecuter

    java.lang.Object
      net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
          net.sf.jasperreports.engine.query.JRJdbcQueryExecuter
              com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRTimezoneJdbcQueryExecuter

All Implemented Interfaces:
  net.sf.jasperreports.engine.query.JRQueryExecuter

    public class JRTimezoneJdbcQueryExecuter

extends net.sf.jasperreports.engine.query.JRJdbcQueryExecuter

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`net.sf.jasperreports.engine.query.JRAbstractQueryExecuter.QueryParameter`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.query.JRJdbcQueryExecuter
`CLAUSE_ID_IN, CLAUSE_ID_NOTIN`

Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`CLAUSE_POSITION_ID, clauseFunctions, dataset`

Constructor Summary
`JRTimezoneJdbcQueryExecuter(net.sf.jasperreports.engine.JRDataset dataset, java.util.Map map)`

Method Summary
`net.sf.jasperreports.engine.JRDataSource` | `createDatasource()`
`protected net.sf.jasperreports.engine.JRValueParameter` | `getValueParameter(java.lang.String parameterName)`

Methods inherited from class net.sf.jasperreports.engine.query.JRJdbcQueryExecuter
`cancelQuery, close, getParameterReplacement, registerFunctions, setStatementMultiParameter, setStatementMultiParameters, setStatementParameter, setStatementParameter`

Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
`addQueryMultiParameters, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, getCollectedParameterNames, getCollectedParameters, getParameter, getParameterValue, getParameterValue, getQueryString, getValueParameter, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRTimezoneJdbcQueryExecuter

    public JRTimezoneJdbcQueryExecuter(net.sf.jasperreports.engine.JRDataset dataset,
                                       java.util.Map map)

Method Detail

### getValueParameter

    protected net.sf.jasperreports.engine.JRValueParameter getValueParameter(java.lang.String parameterName)

  Overrides:
    `getValueParameter` in class `net.sf.jasperreports.engine.query.JRAbstractQueryExecuter`

### createDatasource

    public net.sf.jasperreports.engine.JRDataSource createDatasource()
                                                              throws net.sf.jasperreports.engine.JRException

  Specified by:
    `createDatasource` in interface `net.sf.jasperreports.engine.query.JRQueryExecuter`
  Overrides:
    `createDatasource` in class `net.sf.jasperreports.engine.query.JRJdbcQueryExecuter`
  Throws:
    `net.sf.jasperreports.engine.JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.